## ros-noetic-fetch-ros 0.9.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(fetch_ros)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-noetic-fetch-ros (0.9.1-1focal) focal; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Fri, 05 Mar 2021 08:00:00 -0000

ros-noetic-fetch-ros (0.9.0-1focal) focal; urgency=high

  * Initial noetic release
  * Updates for python3 and ROS Noetic
  * Updates maintainers
  * Contributors: Alex Moriarty, Eric Relson, Russell Toris

 -- Sarah Elliott <selliott@fetchrobotics.com>  Sun, 28 Feb 2021 08:00:00 -0000

ros-noetic-fetch-ros (0.8.2-1focal) focal; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Tue, 06 Aug 2019 07:00:00 -0000

ros-noetic-fetch-ros (0.8.1-1focal) focal; urgency=high

  * catkin_make only supports cmake 2.8.3 for meta-pkg (#115 <https://github.com/fetchrobotics/fetch_ros/issues/115>)
  * sync cmake_minimum_required: 2.8.12
  * [fetch_ros] new meta-package (#110 <https://github.com/fetchrobotics/fetch_ros/issues/110>)
  * Contributors: Alexander Moriarty

 -- Sarah Elliott <selliott@fetchrobotics.com>  Thu, 04 Apr 2019 07:00:00 -0000

ros-noetic-fetch-ros (0.8.0-1focal) focal; urgency=high

  * Meta-package fetch_ros was newly added after 0.8.0

 -- Sarah Elliott <selliott@fetchrobotics.com>  Wed, 13 Feb 2019 08:00:00 -0000

=== debian/control ===
Source: ros-noetic-fetch-ros
Section: misc
Priority: optional
Maintainer: Sarah Elliott <selliott@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: https://docs.fetchrobotics.com/
Standards-Version: 3.9.2

Package: ros-noetic-fetch-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-fetch-calibration, ros-noetic-fetch-depth-layer, ros-noetic-fetch-description, ros-noetic-fetch-ikfast-plugin, ros-noetic-fetch-maps, ros-noetic-fetch-moveit-config, ros-noetic-fetch-navigation, ros-noetic-fetch-teleop
Description: Fetch ROS, packages for working with Fetch and Freight

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-fetch-ros//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
